Novell Home

CVE-2012-3425

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-3425 at MITRE

Description

The png_push_read_zTXt function in pngpread.c in libpng 1.0.x before 1.0.58, 1.2.x before 1.2.48, 1.4.x before 1.4.10, and 1.5.x before 1.5.10 allows remote attackers to cause a denial of service (out-of-bounds read) via a large avail_in field value in a PNG image.

NVD CVSS v2 Base Score: 4.3 (AV:N/AC:M/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entries: 772760, 854395

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libpng-devel >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libpng-devel >= 1.2.31-5.31.1
  • libpng-devel-32bit >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpng-devel >= 1.2.31-5.31.1
  • libpng12-0 >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpng-devel >= 1.2.31-5.31.1
  • libpng12-0 >= 1.2.31-5.31.1
  • libpng12-0-32bit >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpng12-0 >= 1.2.31-5.31.1
  • libpng12-0-32bit >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpng12-0 >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • libpng12-0 >= 1.2.31-5.31.1
  • libpng12-0-x86 >= 1.2.31-5.31.1
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
sle11-sp2-sdk.s390x
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
sle11-sp1-sdk.x86-64
sles11-sp2.ppc
sle11-sp2-sdk.x86
sles11-sp2.s390x
sled11-sp1.x86
sled11-sp2.x86-64
sles11-sp1.ia64
sled11-sp1.x86-64
sle11-sp2-sdk.ppc
sled11-sp2.x86
sles11-sp2.x86
sle11-sp2-sdk.ia64
sles11-sp1.s390x
sle11-sp1-sdk.ppc
sles11-sp1.x86
SAT Patch Nr: 6596
SUSE CORE 9 for AMD64 and Intel EM64T
  • libpng >= 1.2.5-182.187
  • libpng-32bit >= 9-201207251258
  • libpng-devel >= 1.2.5-182.187
Builds
YOU Patch Nr: 12903
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • libpng >= 1.2.8-19.37.24
  • libpng-devel >= 1.2.8-19.37.24
sled10-sp4.x86
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 8234
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • libpng >= 1.2.8-19.37.24
  • libpng-32bit >= 1.2.8-19.37.24
  • libpng-devel >= 1.2.8-19.37.24
  • libpng-devel-32bit >= 1.2.8-19.37.24
sled10-sp4.x86
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 8234
SUSE Linux Enterprise Server 10 SP4 for IPF
  • libpng >= 1.2.8-19.37.24
  • libpng-devel >= 1.2.8-19.37.24
  • libpng-x86 >= 1.2.8-19.37.24
sled10-sp4.x86
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 8234
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • libpng >= 1.2.8-19.37.24
  • libpng-64bit >= 1.2.8-19.37.24
  • libpng-devel >= 1.2.8-19.37.24
  • libpng-devel-64bit >= 1.2.8-19.37.24
sled10-sp4.x86
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 8234

© 2014 Novell